curl --request GET \
--url https://test.deribit.com/api/v2/private/cancel_withdrawal \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "2.0",
"id": 7420,
"method": "private/cancel_withdrawal",
"params": {
"currency": "BTC",
"id": 1
}
}
'import requests
url = "https://test.deribit.com/api/v2/private/cancel_withdrawal"
payload = {
"jsonrpc": "2.0",
"id": 7420,
"method": "private/cancel_withdrawal",
"params": {
"currency": "BTC",
"id": 1
}
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: 7420,
method: 'private/cancel_withdrawal',
params: {currency: 'BTC', id: 1}
})
};
fetch('https://test.deribit.com/api/v2/private/cancel_withdrawal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jsonrpc": "2.0",
"id": 7420,
"result": {
"address": "2NBqqD5GRJ8wHy1PYyCXTe9ke5226FhavBz",
"amount": 0.5,
"confirmed_timestamp": null,
"created_timestamp": 1550571443070,
"currency": "BTC",
"fee": 0.0001,
"id": 1,
"priority": 0.15,
"state": "cancelled",
"transaction_id": null,
"updated_timestamp": 1550571443070
}
}private/cancel_withdrawal
Cancels a pending withdrawal request. This method allows you to cancel a withdrawal that has not yet been processed. Once a withdrawal is processed, it cannot be cancelled.
๐ Related Article: Managing Withdrawals
Scope: wallet:read_write
Query Parameters
The currency symbol
Currency, i.e "BTC", "ETH", "USDC"
BTC, ETH, USDC, USDT, EURR The withdrawal id
1
Response
Success response
The JSON-RPC version (2.0)
2.0 Hide child attributes
Hide child attributes
Address in proper format for currency
"1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa"
Amount of funds in given currency
1
Currency, i.e "BTC", "ETH", "USDC"
BTC, ETH, USDC, USDT, EURR Withdrawal state, allowed values : unconfirmed, confirmed, cancelled, completed, interrupted, rejected
unconfirmed, confirmed, cancelled, completed, interrupted, rejected Transaction id in proper format for currency, null if id is not available
"1b1fb5568515e2b79503501e3d3680b2d0838d5dfc2d15a04eb8cd9fbbe0b572"
The timestamp (milliseconds since the Unix epoch)
1536569522277
The timestamp (milliseconds since the Unix epoch) of withdrawal confirmation, null when not confirmed
1536569522277
The timestamp (milliseconds since the Unix epoch)
1536569522277
Fee in currency
0.000023
Withdrawal id in Deribit system
1
Id of priority level
1
Optional idempotency nonce if provided in the request
The id that was sent in the request
Was this page helpful?